HDF: mfhdf/hdiff/hdiff_list.h File Reference

Please, help us to better serve our user community by answering the following short survey: https://www.hdfgroup.org/website-survey/

| HDF 4.4.0 API Reference |

Loading...
Searching...
No Matches
hdiff_list.h File Reference
`#include "hdiff_table.h"`
`#include "hdiff_dim.h"`

## Functions
uint32 | hdiff_list (const char *fname, dtable_t *table, diff_dim_table_t *td1, diff_dim_table_t *td2, int *err)
int | hdiff_list_vg (const char *fname, int32 file_id, int32 sd_id, int32 gr_id, dtable_t *table, diff_dim_table_t *td1, diff_dim_table_t *td2)
int | hdiff_list_gr (int32 file_id, int32 gr_id, dtable_t *table)
int | hdiff_list_sds (int32 file_id, int32 sd_id, dtable_t *table, diff_dim_table_t *td1, diff_dim_table_t *td2)
int | hdiff_list_vs (int32 file_id, dtable_t *table)
int | hdiff_list_glb (int32 sd_id, int32 gr_id)
int | hdiff_list_an (int32 file_id)
int | insert_vg_attrs (int32 vgroup_id, char *path)
int | insert_vg_an (int32 file_id, int32 vgroup_id, char *path)
int | insert_vg (const char *fname, int32 file_id, int32 sd_id, int32 gr_id, char *path_name, int32 *in_tags, int32 *in_refs, int npairs, dtable_t *table, diff_dim_table_t *td1, diff_dim_table_t *td2)
int | insert_sds (int32 file_id, int32 sd_id, int32 tag, int32 ref, char *path_name, dtable_t *table, diff_dim_table_t *td1, diff_dim_table_t *td2)
int | insert_gr (int32 file_id, int32 gr_in, int32 tag, int32 ref, char *path_name, dtable_t *table)
int | insert_vs (int32 file_id, int32 ref, char *path_name, dtable_t *table, int is_lone)
int | insert_sds_attrs (int32 sds_id, int32 nattrs)
int | insert_gr_attrs (int32 ri_id, int32 nattrs)
int | insert_an (int32 file_id, int32 ref_in, int32 tag_in, char *path)
int | insert_vs_an (int32 file_id, int32 vdata_id, char *path)
int | insert_vs_attrs (int32 in, int32 findex, int attrindex)

## Function Documentation

## ◆ hdiff_list()

uint32 hdiff_list | ( | const char * | fname,
|  | dtable_t * | table,
|  | diff_dim_table_t * | td1,
|  | diff_dim_table_t * | td2,
|  | int * | err )

## ◆ hdiff_list_an()

int hdiff_list_an | ( | int32 | file_id | ) |

## ◆ hdiff_list_glb()

int hdiff_list_glb | ( | int32 | sd_id,
|  | int32 | gr_id )

## ◆ hdiff_list_gr()

int hdiff_list_gr | ( | int32 | file_id,
|  | int32 | gr_id,
|  | dtable_t * | table )

## ◆ hdiff_list_sds()

int hdiff_list_sds | ( | int32 | file_id,
|  | int32 | sd_id,
|  | dtable_t * | table,
|  | diff_dim_table_t * | td1,
|  | diff_dim_table_t * | td2 )

## ◆ hdiff_list_vg()

int hdiff_list_vg | ( | const char * | fname,
|  | int32 | file_id,
|  | int32 | sd_id,
|  | int32 | gr_id,
|  | dtable_t * | table,
|  | diff_dim_table_t * | td1,
|  | diff_dim_table_t * | td2 )

## ◆ hdiff_list_vs()

int hdiff_list_vs | ( | int32 | file_id,
|  | dtable_t * | table )

## ◆ insert_an()

int insert_an | ( | int32 | file_id,
|  | int32 | ref_in,
|  | int32 | tag_in,
|  | char * | path )

## ◆ insert_gr()

int insert_gr | ( | int32 | file_id,
|  | int32 | gr_in,
|  | int32 | tag,
|  | int32 | ref,
|  | char * | path_name,
|  | dtable_t * | table )

## ◆ insert_gr_attrs()

int insert_gr_attrs | ( | int32 | ri_id,
|  | int32 | nattrs )

## ◆ insert_sds()

int insert_sds | ( | int32 | file_id,
|  | int32 | sd_id,
|  | int32 | tag,
|  | int32 | ref,
|  | char * | path_name,
|  | dtable_t * | table,
|  | diff_dim_table_t * | td1,
|  | diff_dim_table_t * | td2 )

## ◆ insert_sds_attrs()

int insert_sds_attrs | ( | int32 | sds_id,
|  | int32 | nattrs )

## ◆ insert_vg()

int insert_vg | ( | const char * | fname,
|  | int32 | file_id,
|  | int32 | sd_id,
|  | int32 | gr_id,
|  | char * | path_name,
|  | int32 * | in_tags,
|  | int32 * | in_refs,
|  | int | npairs,
|  | dtable_t * | table,
|  | diff_dim_table_t * | td1,
|  | diff_dim_table_t * | td2 )

## ◆ insert_vg_an()

int insert_vg_an | ( | int32 | file_id,
|  | int32 | vgroup_id,
|  | char * | path )

## ◆ insert_vg_attrs()

int insert_vg_attrs | ( | int32 | vgroup_id,
|  | char * | path )

## ◆ insert_vs()

int insert_vs | ( | int32 | file_id,
|  | int32 | ref,
|  | char * | path_name,
|  | dtable_t * | table,
|  | int | is_lone )

## ◆ insert_vs_an()

int insert_vs_an | ( | int32 | file_id,
|  | int32 | vdata_id,
|  | char * | path )

## ◆ insert_vs_attrs()

int insert_vs_attrs | ( | int32 | in,
|  | int32 | findex,
|  | int | attrindex )